<template>
	<v-app-bar
		app
		color="primary"
		dark
	>
		<v-toolbar-title class="mr-6">The Stock Trader</v-toolbar-title>
		<v-toolbar-items>
			<v-btn v-if="isLoggedIn" to="/portfolio" text>
				<v-icon left>mdi-briefcase-outline</v-icon>
				Portfolio
			</v-btn>
			<v-btn to="/stocks" text>
				<v-icon left>mdi-finance</v-icon>
				Stocks
			</v-btn>
		</v-toolbar-items>
		<v-spacer></v-spacer>
		<v-toolbar-items>
			<v-btn to="/about" text>
				<v-icon left>mdi-information-outline</v-icon>
				About
			</v-btn>
			<v-btn v-if="isLoggedIn" to="/account" text>
				<v-icon left>mdi-account</v-icon>
				Account
			</v-btn>
			<v-btn v-if="!isLoggedIn" to="/login" text>
				<v-icon left>mdi-account</v-icon>
				Log In
			</v-btn>
			<v-btn v-if="!isLoggedIn" to="/signup" text>
				<v-icon left>mdi-account</v-icon>
				Sign Up
			</v-btn>
			<v-btn v-if="isLoggedIn" text @click="logout">
				<v-icon left>mdi-account</v-icon>
				Log Out
			</v-btn>
		</v-toolbar-items>
	</v-app-bar>
</template>

<script>
	import fb from '../util/firebase';

	export default {
		computed: {
			isLoggedIn() {
				return this.$store.getters.isLoggedIn;
			},
		},
		methods: {
			logout() {
				fb.auth.signOut().then(() => {
					this.$store.dispatch('clearData');
					this.$router.push('/login');
				}).catch(e => {
					console.log(e);
				});
			},
		},	
	}
</script>